import { Button } from "@/components/ui/button";
import { IGweet } from "../../types";

import { Icons } from "@/components/icons";

export const CommentButton = ({
  gweet,
  showStats = false,
}: {
  gweet: IGweet;
  showStats: boolean;
}) => {
  return (
    <Button variant="ghost" size="lg" className="px-6 py-3 hover:bg-sky-800">
      <Icons.messagecircle className="h-5 w-5" />
      <span className="pl-2">
        {showStats && gweet?.comments?.length > 0 && (
          <span className="">{gweet?.comments?.length}</span>
        )}
      </span>
    </Button>
  );
};