import { TryAgain } from "@/components/try-again";

import { useGweets } from "../hooks/use-gweets";

import { Icons } from "@/components/icons";
import { InfiniteGweets } from "./infinite-gweets";

export const Comments = ({ gweetId }: { gweetId: string }) => {
  const {
    data: comments,
    isLoading,
    isError,
    fetchNextPage,
    hasNextPage,
    isFetchingNextPage,
    isSuccess,
  } = useGweets({
    queryKey: ["gweets", gweetId, "comments"],
    type: "comments",
    id: gweetId,
  });

  if (isLoading) {
    return <Icons.spinner className="mr-2 h-4 w-4 animate-spin" />;
  }

  if (isError) {
    return <TryAgain />;
  }

  return (
    <div className="">
      <InfiniteGweets
        gweets={comments}
        fetchNextPage={fetchNextPage}
        hasNextPage={hasNextPage}
        isFetchingNextPage={isFetchingNextPage}
        isSuccess={isSuccess}
      />
    </div>
  );
};
