import { useDeleteGweet } from "../hooks/use-delete-gweet";
import { IGweet } from "../types";

import { Button } from "@/components/ui/button";
import {
  Dialog,
  DialogContent,
  DialogDescription,
  DialogFooter,
  DialogHeader,
  DialogTitle,
  DialogTrigger,
} from "@/components/ui/dialog";

export const DeleteGweetModal = ({
  gweet,
}: {
  gweet: IGweet;
}) => {
  const mutation = useDeleteGweet();

  return (
    <Dialog>
      <DialogTrigger asChild>
        <Button variant="outline">Delete gweet?</Button>
      </DialogTrigger>
      <DialogContent className="sm:max-w-[425px]">
        <DialogHeader>
          <DialogTitle>Delete gweet?</DialogTitle>
          <DialogDescription>
            This can&apos;t be undone and it will be removed from your profile, the
            timeline of any accounts that follow you, and from Twitter search
            results.
          </DialogDescription>
        </DialogHeader>
        <DialogFooter>
          <Button type="submit"
            onClick={() => {
              mutation.mutate({
                gweetId: gweet?.id,
              });
            }}>Delete</Button>
        </DialogFooter>
      </DialogContent>
    </Dialog>
  )
}
