import { Button } from "@/components/ui/button";
import { UserAvatar } from "@/components/user-avatar";
import { formatTimeElapsed } from "@/lib/utils";
import { useRouter } from "next/navigation";
import { IGweet } from "../types";
import { GweetActions } from "./gweet-actions";


export const Gweet = ({ gweet }: { gweet: IGweet }) => {
  const router = useRouter();

  return (
    <Button
      variant="ghost"
      tabIndex={0}
      onClick={() => router.push(`/${gweet.user.username}/status/${gweet.id}`)}
      className="flex h-auto w-full text-left"
    >
      <UserAvatar
        user={{ username: gweet.user.username, image: gweet.user.image }}
        className="h-10 w-10"
      />
      <div className="ml-4 flex flex-col flex-grow">
        <div>
          <div className="flex items-center">
            <h1 className="font-bold mr-2">{gweet.user.name}</h1>
            <h1 className="text-sky-500 text-sm">
              @{gweet.user.username}
            </h1>
            <h1 className="text-gray-500 text-sm ml-auto">
              {formatTimeElapsed(gweet.createdAt)}
            </h1>
          </div>

          {/* <div className="">
            {gweet?.replyToGweetId && (
              <div className="">
                <span className="">Replying to</span>
                <button
                  onClick={(e) => {
                    e.stopPropagation();
                    router.push(`/${gweet?.replyToUserId}`);
                  }}
                  className=""
                >
                  @{gweet?.replyToUserId}
                </button>
              </div>
            )}
          </div> */}

          {gweet?.content && (
            <h1>{gweet.content}</h1>
          )}
        </div>
        <div className="flex justify-end" >
          <GweetActions gweet={gweet} showStats={true} />
        </div>
      </div>
    </Button>
  );
};