"use client";

import { TryAgain } from "@/components/try-again";

import { useGweets } from "../hooks/use-gweets";

import { Icons } from "@/components/icons";
import { Card } from "@/components/ui/card";
import { InfiniteGweets } from "./infinite-gweets";

export const Gweets = () => {
  const {
    data: gweets,
    isLoading,
    isError,
    isSuccess,
    isFetchingNextPage,
    fetchNextPage,
    hasNextPage,
  } = useGweets({});

  if (isLoading) {
    return <Icons.spinner className="mr-2 h-4 w-4 animate-spin" />;
  }

  if (isError) {
    return <TryAgain />;
  }

  return (
    <Card className="w-full h-full mt-12 p-2 xl:p-4 ">
      <InfiniteGweets
        gweets={gweets}
        isSuccess={isSuccess}
        isFetchingNextPage={isFetchingNextPage}
        fetchNextPage={fetchNextPage}
        hasNextPage={hasNextPage}
      />
    </Card>
  );
};
